package com.yinet.yyqh.service;

import com.yinet.yyqh.domain.Yyqh;
import com.yinet.yyqh.domain.YyqhReturn;

import java.util.Date;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * 网上预约列表Service接口
 *
 * @author yinet
 * @date 2019-09-02
 */
public interface YyqhService {

    /**
     * 查询网上预约列表列表
     *
     * @param yyqh 网上预约列表
     * @return 网上预约列表集合
     */
    public List<Yyqh> selectYyqhList(Yyqh yyqh);

    /**
     * 查询网上预约列表列表
     *
     * @param yyqh 网上预约列表
     * @return 网上预约列表集合
     */
    public List<Yyqh> selectYyqhListByCard(Yyqh yyqh);

    /**
     * 查询网上预约列表列表导出
     *
     * @param yyqh 网上预约列表
     * @return 网上预约列表集合
     */
    public List<Yyqh> selectYyqhListExcel(Yyqh yyqh);

    /**
     * 新增网上预约列表
     *
     * @param yyqh 网上预约列表
     * @return 结果
     */
    public int insertYyqh(Yyqh yyqh);


    /**
     * 批量删除网上预约列表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteYyqhByIds(String ids);

    /**
     * 获取所有当前日期所有时间段预约人数
     */
    public LinkedHashMap<String, List<Integer>> selectTimeNum(Date bookedDay, Long guidanceParent);

    /**
     * 根据身份证ID查找是否有预约
     *
     * @param Card 身份证照号
     * @return 是否存在
     */
    public YyqhReturn getCardForm(String Card);

    /**
     * 改变预约状态
     *
     * @param id ID号
     * @return 是否存在
     */
    public YyqhReturn changeStatus(String id, String tickNum);

    /**
     * 改变预约状态
     *
     * @param id ID号
     * @return 是否存在
     */
    public YyqhReturn cancelYy(String id);

}
